[Piuparts-commits] [SCM] piuparts git repository branch, develop, updated. 0.44-827-g219614b

Andreas Beckmann debian at abeckmann.de
Wed Jun 20 23:09:56 UTC 2012


The following commit has been merged in the develop branch:
commit dd4d67b57bb14a661b4aba80e90dd11dfba0a99e
Author: Andreas Beckmann <debian at abeckmann.de>
Date:   Wed Jun 20 20:14:30 2012 +0200

    bin/*: always create missing subdirs
    
    Signed-off-by: Andreas Beckmann <debian at abeckmann.de>

diff --git a/home/piupartsm/bin/archive_old_logs b/home/piupartsm/bin/archive_old_logs
index a3afa87..4625bd1 100755
--- a/home/piupartsm/bin/archive_old_logs
+++ b/home/piupartsm/bin/archive_old_logs
@@ -46,8 +46,8 @@ get_config_value SECTIONS global sections
 OLDPWD=$(pwd)
 for SECTION in $SECTIONS ; do
 	test -d $MASTER/$SECTION || continue
-	mkdir -p $MASTER/$SECTION/archive
 	cd $MASTER/$SECTION
+	mkdir -p pass bugged affected fail
 	mkdir -p archive/pass archive/bugged archive/affected archive/fail
 	test -f archive/stamp || touch -d @0 archive/stamp  # start at the epoch
 	touch -d yesterday archive/stamp.new  # look back one more day the next time we will be run
diff --git a/home/piupartsm/bin/detect_network_issues b/home/piupartsm/bin/detect_network_issues
index 70507e3..3cd65ab 100755
--- a/home/piupartsm/bin/detect_network_issues
+++ b/home/piupartsm/bin/detect_network_issues
@@ -48,6 +48,7 @@ FILE=`mktemp`
 for SECTION in $SECTIONS ; do
 	test -d $MASTER/$SECTION || continue
 	for subdir in fail bugged affected ; do
+		test -d $MASTER/$SECTION/$subdir || continue
 		rgrep -l "Cannot initiate the connection to" $MASTER/$SECTION/$subdir >> $FILE
 		rgrep -l "Hash Sum mismatch" $MASTER/$SECTION/$subdir >> $FILE
 		rgrep -l -e "Failed to fetch.*Could not resolve" $MASTER/$SECTION/$subdir >> $FILE
diff --git a/home/piupartsm/bin/detect_piuparts_issues b/home/piupartsm/bin/detect_piuparts_issues
index a4c15ec..3697fcd 100755
--- a/home/piupartsm/bin/detect_piuparts_issues
+++ b/home/piupartsm/bin/detect_piuparts_issues
@@ -48,6 +48,7 @@ FILE=`mktemp`
 for SECTION in $SECTIONS ; do
 	test -d $MASTER/$SECTION || continue
 	for subdir in fail bugged affected ; do
+		test -d $MASTER/$SECTION/$subdir || continue
 		rgrep -l -E "tar( \(child\))?: .*.tar.gz: Cannot open: No such file or directory" $MASTER/$SECTION/$subdir >> $FILE
 		rgrep -l -e "tar: .*: No space left on device" $MASTER/$SECTION/$subdir >> $FILE
 		rgrep -l -e "gzip: stdin: invalid compressed data--crc error" $MASTER/$SECTION/$subdir >> $FILE
diff --git a/home/piupartsm/bin/detect_well_known_errors b/home/piupartsm/bin/detect_well_known_errors
index 50dd5de..5b2e26b 100755
--- a/home/piupartsm/bin/detect_well_known_errors
+++ b/home/piupartsm/bin/detect_well_known_errors
@@ -65,6 +65,7 @@ do
 	date
 	echo $SECTION:
 	cd $MASTER/$SECTION
+	mkdir -p pass bugged affected fail
 
 	#
 	# remove outdated *.bug files
diff --git a/home/piupartsm/bin/generate_daily_report b/home/piupartsm/bin/generate_daily_report
index f556e73..cdfef8b 100755
--- a/home/piupartsm/bin/generate_daily_report
+++ b/home/piupartsm/bin/generate_daily_report
@@ -79,6 +79,7 @@ touch $FAILURESTAMP.new  # for the next report
 echo "New failures:" >> $DAILYREPORT
 for SECTION in $SECTIONS ; do
 	test -d $MASTER/$SECTION || continue
+	mkdir -p fail bugged affected untestable
 	find $MASTER/$SECTION/fail $MASTER/$SECTION/bugged $MASTER/$SECTION/affected $MASTER/$SECTION/untestable \
 		-type f -name '*.log' -newer $FAILURESTAMP -exec ls -1 {} + 2>/dev/null
 done | sed s#^$MASTER#$URLBASE# >> $DAILYREPORT
diff --git a/home/piupartsm/bin/report_stale_reserved_packages b/home/piupartsm/bin/report_stale_reserved_packages
index 0a1eaad..945d532 100755
--- a/home/piupartsm/bin/report_stale_reserved_packages
+++ b/home/piupartsm/bin/report_stale_reserved_packages
@@ -47,7 +47,7 @@ get_config_value SECTIONS global sections
 DAYS=2
 LOGS=`mktemp`
 for SECTION in $SECTIONS ; do
-	test -d $MASTER/$SECTION || continue
+	test -d $MASTER/$SECTION/reserved || continue
 	find $MASTER/$SECTION/reserved/ -mtime +$DAYS -name "*.log" 2>/dev/null >> $LOGS
 done
 if [ -s $LOGS ] ; then
diff --git a/home/piupartsm/bin/report_untestable_packages b/home/piupartsm/bin/report_untestable_packages
index e903cb6..5b84fd5 100755
--- a/home/piupartsm/bin/report_untestable_packages
+++ b/home/piupartsm/bin/report_untestable_packages
@@ -47,7 +47,7 @@ get_config_value DAYS global reschedule-untestable-days 7
 
 LOGS=`mktemp`
 for SECTION in $SECTIONS ; do
-	test -d $MASTER/$SECTION || continue
+	test -d $MASTER/$SECTION/untestable || continue
 	find $MASTER/$SECTION/untestable/ -mtime +$DAYS -name "*.log" 2>/dev/null >> $LOGS
 done
 if [ -s $LOGS ] ; then
diff --git a/home/piupartsm/bin/reschedule_oldest_logs b/home/piupartsm/bin/reschedule_oldest_logs
index fb41b35..3621612 100755
--- a/home/piupartsm/bin/reschedule_oldest_logs
+++ b/home/piupartsm/bin/reschedule_oldest_logs
@@ -60,6 +60,7 @@ for SECTION in $SECTIONS ; do
 		get_config_value _FAIL_AGE   $SECTION reschedule-fail-days $FAIL_AGE
 		get_config_value _FAIL_COUNT $SECTION reschedule-fail-count $FAIL_COUNT
 		cd $MASTER/$SECTION
+		mkdir -p pass fail affected
 		# FIXME: we ignore bugged here - ptyhon-bts is really the way to go
 		find pass fail affected -name "*.log" -mtime +$_AGE | xargs --no-run-if-empty -n99999 -s999999 ls -dt | tail -n $_COUNT > $LOGS
 		find fail affected -name "*.log" -mtime +$_FAIL_AGE | xargs --no-run-if-empty -n99999 -s999999 ls -dt | tail -n $_FAIL_COUNT >> $LOGS

-- 
piuparts git repository



More information about the Piuparts-commits mailing list